Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.web
Class ConfigUpdateHelper

    java.lang.Object
      net.i2p.router.web.HelperBase
          net.i2p.router.web.ConfigUpdateHelper

    public class ConfigUpdateHelper

extends HelperBase

Field Summary

Fields inherited from class net.i2p.router.web.HelperBase
`_context, _out`

Constructor Summary
`ConfigUpdateHelper()`

Method Summary
`boolean` | `canInstall()`
`String` | `getNewsStatus()`
`String` | `getNewsURL()`
`static String` | `getNewsURL(I2PAppContext ctx)` hack to replace the old news location with the new one, even if they have saved the update page at some point
`String` | `getProxyHost()`
`String` | `getProxyPort()`
`String` | `getRefreshFrequencySelectBox()`
`String` | `getTrustedKeys()`
`String` | `getUpdatePolicySelectBox()` Right now the jsp hides the whole select box if _dontInstall is true but this could change
`String` | `getUpdateThroughProxy()`
`String` | `getUpdateUnsigned()`
`String` | `getUpdateURL()`
`String` | `getZipURL()`
`void` | `setContextId(String contextId)` hook this so we can call dontInstall() once after getting a context
`boolean` | `updateAvailable()`

Methods inherited from class net.i2p.router.web.HelperBase
`_, _, _, _, _x, setWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigUpdateHelper

    public ConfigUpdateHelper()

Method Detail

### setContextId

    public void setContextId(String contextId)

  hook this so we can call dontInstall() once after getting a context

  Overrides:
    `setContextId` in class `HelperBase`
  Parameters:
    `contextId` - beginning few characters of the routerHash, or null to pick the first one we come across.

### canInstall

    public boolean canInstall()

### updateAvailable

    public boolean updateAvailable()

### getNewsURL

    public String getNewsURL()

### getNewsURL

    public static String getNewsURL(I2PAppContext ctx)

  hack to replace the old news location with the new one, even if they have saved the update page at some point

### getUpdateURL

    public String getUpdateURL()

### getProxyHost

    public String getProxyHost()

### getProxyPort

    public String getProxyPort()

### getUpdateThroughProxy

    public String getUpdateThroughProxy()

### getUpdateUnsigned

    public String getUpdateUnsigned()

### getRefreshFrequencySelectBox

    public String getRefreshFrequencySelectBox()

### getUpdatePolicySelectBox

    public String getUpdatePolicySelectBox()

  Right now the jsp hides the whole select box if _dontInstall is true but this could change

### getTrustedKeys

    public String getTrustedKeys()

### getZipURL

    public String getZipURL()

### getNewsStatus

    public String getNewsStatus()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD